Loading...
Searching...
No Matches
casacore::MSObservationIndex Class Reference
ms package (libcasa_ms) » MSSel_module

More...

`#include <MSObsIndex.h>`

## Public Member Functions

| MSObservationIndex (const MSObservation &observationTable)
| Construct from an MS OBSERVATION subtable.
virtual | ~MSObservationIndex ()
| Null destructor.
Vector< Int > | matchProjectCode (const String &projectCode)
| Look up OBSERVATION_ID's for a given project code.

## Private Member Functions

| MSObservationIndex ()
| Disallow null constructor.

## Private Attributes

MSObservationColumns | msObservationCols_p
| OBSERVATION subtable column accessor.
Vector< Int > | observationIds_p
| Vector cache of observation id's.
Int | nrows_p

## Detailed Description

Class to handle lookup or indexing into an MS OBSERVATION subtable

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- MeasurementSet
- MSObservation

### Etymology

From "MeasurementSet", "OBSERVATION subtable" and "index".

### Synopsis

This class provides lookup and indexing into an MS OBSERVATION subtable. These services include returning rows numbers (which for the OBSERVATION subtable are OBSERVATION_ID's) associated with specific data in the subtable.

### Example

### Motivation

Collect together all subtable indexing and lookup for the OBSERVATION subtable, for encapsulation and efficiency.

### Thrown Exceptions

Definition at line 80 of file MSObsIndex.h.

## Constructor & Destructor Documentation

## MSObservationIndex() [1/2]

casacore::MSObservationIndex::MSObservationIndex | ( | const MSObservation & | observationTable | ) |

Construct from an MS OBSERVATION subtable.

## ~MSObservationIndex()

virtual casacore::MSObservationIndex::~MSObservationIndex | ( |  | ) |

inline virtual

Null destructor.

Definition at line 87 of file MSObsIndex.h.

## MSObservationIndex() [2/2]

casacore::MSObservationIndex::MSObservationIndex | ( |  | ) |

private

Disallow null constructor.

## Member Function Documentation

## matchProjectCode()

Vector< Int > casacore::MSObservationIndex::matchProjectCode | ( | const String & | projectCode | ) |

Look up OBSERVATION_ID's for a given project code.

## Member Data Documentation

## msObservationCols_p

MSObservationColumns casacore::MSObservationIndex::msObservationCols_p

private

OBSERVATION subtable column accessor.

Definition at line 97 of file MSObsIndex.h.

## nrows_p

Int casacore::MSObservationIndex::nrows_p

private

Definition at line 101 of file MSObsIndex.h.

## observationIds_p

Vector<Int> casacore::MSObservationIndex::observationIds_p

private

Vector cache of observation id's.

Definition at line 100 of file MSObsIndex.h.

The documentation for this class was generated from the following file:

- ms/MSSel/MSObsIndex.h